QGIS Application - Bug report #14531
QgsGeometry::touches returning false on touching lines
2016-03-19 03:27 AM - Maximilian Krambach

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.14.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22504
Description

When | have an intersection, | can test for intersect and then get the intersection. It would be nice to have a similar function for touch (one
geometry's vertex is on other's geometry's line), which returns a point if the two lines do touch.
The function QgsGeometry::touches seems to have the issue that it only returns True if the touching point is on a vertex of both lines.

Here python code for what I'm thinking of:

def touchesWhere(self, lineA, lineB):
if lineA[0].onSegment(lineB[0],lineB[1]) == 2:
return lineA[0]
elif lineA[1].onSegment(lineB[0],lineB[1]) == 2:
return lineA[1]
return False

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.
We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugdfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
